NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::FaceColorManagementBuilder Class Reference

Tooling builder to assign and edit color of objects
To create a new instance of this class, use NXOpen::Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::FaceColorManagementBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  HoleTypeEnumValue {
  HoleTypeEnumValueThroughHoles, HoleTypeEnumValueBlindHoles, HoleTypeEnumValueCounterboredHoles, HoleTypeEnumValueCountersunkHoles,
  HoleTypeEnumValueThreadedHoles, HoleTypeEnumValueComboHoles, HoleTypeEnumValueWireEDMStartHoles, HoleTypeEnumValueCirclesinSketch
}
 the hole type enumeration More...
 

Public Member Functions

double AngleNoseIgnorableSize ()
 Returns the angle nose ignorable size
Created in NX9.0.0. More...
 
void AssignAttributeToObject (NXOpen::NXObject *objectTag, const NXString &attrTitle, const NXString &attrValue)
 Assign attribute to object
Created in NX12.0.0. More...
 
void AssignAttributeToObject (NXOpen::NXObject *objectTag, const char *attrTitle, const char *attrValue)
 Assign attribute to object
Created in NX12.0.0. More...
 
void AssignColorToObject (NXOpen::NXObject *objectTag, int colorID)
 Assign color to object
Created in NX12.0.0. More...
 
void EditColorSpreadsheet ()
 The action to edit face color spreadsheet
Created in NX9.0.0. More...
 
NXOpen::NXColorFaceColor ()
 Returns the face color
Created in NX9.0.0. More...
 
int FaceTranslucency ()
 Returns the face translucency
Created in NX9.0.0. More...
 
bool HighlightSelectedFace ()
 Returns the option whether to highlight selected faces
Created in NX9.0.0. More...
 
NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue HoleTypeEnum ()
 Returns the hole type enumeration
Created in NX9.0.0. More...
 
bool IsAutoSelectHoleByType ()
 Returns the option whether to select holes by type automatically
Created in NX9.0.0. More...
 
bool IsShowFaceWithoutColorAttributeToggle ()
 Returns the option whether to show face without color attribute toggle
Created in NX9.0.0. More...
 
bool IsShowFaceWithSameColorAttributeToggle ()
 Returns the option whether to show face with same color attribute toggle
Created in NX9.0.0. More...
 
bool OnlyCheckHoleFace ()
 Returns the only check planar face option
Created in NX10.0.0. More...
 
void RemoveAttributeOfObject (NXOpen::NXObject *objectTag, const NXString &attrTitle)
 Remove attribute of object
Created in NX12.0.0. More...
 
void RemoveAttributeOfObject (NXOpen::NXObject *objectTag, const char *attrTitle)
 Remove attribute of object
Created in NX12.0.0. More...
 
NXString SelectColorSpreadsheet ()
 Returns the face color spreadsheet
Created in NX9.0.0. More...
 
NXOpen::ScCollectorSelectCurve ()
 Returns the select curve
Created in NX9.0.0. More...
 
NXOpen::ScCollectorSelectFace ()
 Returns the selected faces
Created in NX9.0.0. More...
 
NXOpen::DirectionSelectHoleAxis ()
 Returns the hole axis
Created in NX9.0.0. More...
 
bool SelectSubHoleFaceAutomatically ()
 Returns the select sub-hole face automatically option
Created in NX10.0.0. More...
 
void SetAngleNoseIgnorableSize (double angleNoseIgnorableSize)
 Sets the angle nose ignorable size
Created in NX9.0.0. More...
 
void SetAutoSelectHoleByType (bool isAutoSelectHoleByType)
 Sets the option whether to select holes by type automatically
Created in NX9.0.0. More...
 
void SetFaceColor (NXOpen::NXColor *faceColor)
 Sets the face color
Created in NX9.0.0. More...
 
void SetFaceTranslucency (int faceTranslucency)
 Sets the face translucency
Created in NX9.0.0. More...
 
void SetHighlightSelectedFace (bool highlightSelectedFace)
 Sets the option whether to highlight selected faces
Created in NX9.0.0. More...
 
void SetHoleTypeEnum (NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue holeTypeEnum)
 Sets the hole type enumeration
Created in NX9.0.0. More...
 
void SetOnlyCheckHoleFace (bool onlyCheckHoleFace)
 Sets the only check planar face option
Created in NX10.0.0. More...
 
void SetSelectColorSpreadsheet (const NXString &filename)
 Sets the face color spreadsheet
Created in NX9.0.0. More...
 
void SetSelectColorSpreadsheet (const char *filename)
 Sets the face color spreadsheet
Created in NX9.0.0. More...
 
void SetSelectHoleAxis (NXOpen::Direction *selectHoleAxis)
 Sets the hole axis
Created in NX9.0.0. More...
 
void SetSelectSubHoleFaceAutomatically (bool selectSubHoleFaceAutomatically)
 Sets the select sub-hole face automatically option
Created in NX10.0.0. More...
 
void SetShowFaceWithoutColorAttributeToggle (bool isShowFaceWithoutColorAttributeToggle)
 Sets the option whether to show face without color attribute toggle
Created in NX9.0.0. More...
 
void SetShowFaceWithSameColorAttributeToggle (bool isShowFaceWithSameColorAttributeToggle)
 Sets the option whether to show face with same color attribute toggle
Created in NX9.0.0. More...
 
void SetWizardType (int wizardType)
 Sets the wizard type
Created in NX9.0.0. More...
 
void ShowFacesWithoutColorAttrirbute ()
 The action to show faces without color attributes
Created in NX9.0.0. More...
 
void ShowFaceWithoutAnyManufacturingInformationButton ()
 The action to show face without any manufacturing information
Created in NX10.0.0. More...
 
void ShowFaceWithSameManufacturingInformationButton ()
 The action to show face with same manufacturing information
Created in NX10.0.0. More...
 
int WizardType ()
 Returns the wizard type
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Tooling builder to assign and edit color of objects
To create a new instance of this class, use NXOpen::Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder
Default values.

Property Value

AngleNoseIgnorableSize

0.5

FaceTranslucency

0

HighlightSelectedFace

0

HoleTypeEnum

ThroughHoles

IsAutoSelectHoleByType

0

IsShowFaceWithSameColorAttributeToggle

0

IsShowFaceWithoutColorAttributeToggle

0

OnlyCheckHoleFace

0

SelectSubHoleFaceAutomatically

0


Created in NX9.0.0.

Member Enumeration Documentation

the hole type enumeration

Enumerator
HoleTypeEnumValueThroughHoles 

through holes

HoleTypeEnumValueBlindHoles 

blind holes

HoleTypeEnumValueCounterboredHoles 

counterbored holes

HoleTypeEnumValueCountersunkHoles 

countersunk holes

HoleTypeEnumValueThreadedHoles 

threaded holes

HoleTypeEnumValueComboHoles 

combo holes

HoleTypeEnumValueWireEDMStartHoles 

wire edmstart holes

HoleTypeEnumValueCirclesinSketch 

circlesin sketch

Member Function Documentation

double NXOpen::Tooling::FaceColorManagementBuilder::AngleNoseIgnorableSize ( )

Returns the angle nose ignorable size
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::FaceColorManagementBuilder::AssignAttributeToObject ( NXOpen::NXObject objectTag,
const NXString attrTitle,
const NXString attrValue 
)

Assign attribute to object
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTagobjecttag
attrTitleattrtitle
attrValueattrvalue
void NXOpen::Tooling::FaceColorManagementBuilder::AssignAttributeToObject ( NXOpen::NXObject objectTag,
const char *  attrTitle,
const char *  attrValue 
)

Assign attribute to object
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTagobjecttag
attrTitleattrtitle
attrValueattrvalue
void NXOpen::Tooling::FaceColorManagementBuilder::AssignColorToObject ( NXOpen::NXObject objectTag,
int  colorID 
)

Assign color to object
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTagobjecttag
colorIDcolorid
void NXOpen::Tooling::FaceColorManagementBuilder::EditColorSpreadsheet ( )

The action to edit face color spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

NXOpen::NXColor* NXOpen::Tooling::FaceColorManagementBuilder::FaceColor ( )

Returns the face color
Created in NX9.0.0.



License requirements : None

int NXOpen::Tooling::FaceColorManagementBuilder::FaceTranslucency ( )

Returns the face translucency
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::HighlightSelectedFace ( )

Returns the option whether to highlight selected faces
Created in NX9.0.0.



License requirements : None

NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnum ( )

Returns the hole type enumeration
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::IsAutoSelectHoleByType ( )

Returns the option whether to select holes by type automatically
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::IsShowFaceWithoutColorAttributeToggle ( )

Returns the option whether to show face without color attribute toggle
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::IsShowFaceWithSameColorAttributeToggle ( )

Returns the option whether to show face with same color attribute toggle
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::OnlyCheckHoleFace ( )

Returns the only check planar face option
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::FaceColorManagementBuilder::RemoveAttributeOfObject ( NXOpen::NXObject objectTag,
const NXString attrTitle 
)

Remove attribute of object
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTagobjecttag
attrTitleattrtitle
void NXOpen::Tooling::FaceColorManagementBuilder::RemoveAttributeOfObject ( NXOpen::NXObject objectTag,
const char *  attrTitle 
)

Remove attribute of object
Created in NX12.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
objectTagobjecttag
attrTitleattrtitle
NXString NXOpen::Tooling::FaceColorManagementBuilder::SelectColorSpreadsheet ( )

Returns the face color spreadsheet
Created in NX9.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::FaceColorManagementBuilder::SelectCurve ( )

Returns the select curve
Created in NX9.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::FaceColorManagementBuilder::SelectFace ( )

Returns the selected faces
Created in NX9.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::FaceColorManagementBuilder::SelectHoleAxis ( )

Returns the hole axis
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::FaceColorManagementBuilder::SelectSubHoleFaceAutomatically ( )

Returns the select sub-hole face automatically option
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::FaceColorManagementBuilder::SetAngleNoseIgnorableSize ( double  angleNoseIgnorableSize)

Sets the angle nose ignorable size
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
angleNoseIgnorableSizeanglenoseignorablesize
void NXOpen::Tooling::FaceColorManagementBuilder::SetAutoSelectHoleByType ( bool  isAutoSelectHoleByType)

Sets the option whether to select holes by type automatically
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
isAutoSelectHoleByTypeisautoselectholebytype
void NXOpen::Tooling::FaceColorManagementBuilder::SetFaceColor ( NXOpen::NXColor faceColor)

Sets the face color
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
faceColorfacecolor
void NXOpen::Tooling::FaceColorManagementBuilder::SetFaceTranslucency ( int  faceTranslucency)

Sets the face translucency
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
faceTranslucencyfacetranslucency
void NXOpen::Tooling::FaceColorManagementBuilder::SetHighlightSelectedFace ( bool  highlightSelectedFace)

Sets the option whether to highlight selected faces
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
highlightSelectedFacehighlightselectedface
void NXOpen::Tooling::FaceColorManagementBuilder::SetHoleTypeEnum ( NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue  holeTypeEnum)

Sets the hole type enumeration
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
holeTypeEnumholetypeenum
void NXOpen::Tooling::FaceColorManagementBuilder::SetOnlyCheckHoleFace ( bool  onlyCheckHoleFace)

Sets the only check planar face option
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
onlyCheckHoleFaceonlycheckholeface
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectColorSpreadsheet ( const NXString filename)

Sets the face color spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
filenamefilename
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectColorSpreadsheet ( const char *  filename)

Sets the face color spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
filenamefilename
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectHoleAxis ( NXOpen::Direction selectHoleAxis)

Sets the hole axis
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
selectHoleAxisselectholeaxis
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectSubHoleFaceAutomatically ( bool  selectSubHoleFaceAutomatically)

Sets the select sub-hole face automatically option
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectSubHoleFaceAutomaticallyselectsubholefaceautomatically
void NXOpen::Tooling::FaceColorManagementBuilder::SetShowFaceWithoutColorAttributeToggle ( bool  isShowFaceWithoutColorAttributeToggle)

Sets the option whether to show face without color attribute toggle
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
isShowFaceWithoutColorAttributeToggleisshowfacewithoutcolorattributetoggle
void NXOpen::Tooling::FaceColorManagementBuilder::SetShowFaceWithSameColorAttributeToggle ( bool  isShowFaceWithSameColorAttributeToggle)

Sets the option whether to show face with same color attribute toggle
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
isShowFaceWithSameColorAttributeToggleisshowfacewithsamecolorattributetoggle
void NXOpen::Tooling::FaceColorManagementBuilder::SetWizardType ( int  wizardType)

Sets the wizard type
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

Parameters
wizardTypewizardtype
void NXOpen::Tooling::FaceColorManagementBuilder::ShowFacesWithoutColorAttrirbute ( )

The action to show faces without color attributes
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")

void NXOpen::Tooling::FaceColorManagementBuilder::ShowFaceWithoutAnyManufacturingInformationButton ( )

The action to show face without any manufacturing information
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::FaceColorManagementBuilder::ShowFaceWithSameManufacturingInformationButton ( )

The action to show face with same manufacturing information
Created in NX10.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

int NXOpen::Tooling::FaceColorManagementBuilder::WizardType ( )

Returns the wizard type
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.